Summary: Soup, an HTTP library implementation
Name: libsoup
Version: 1.99.26
Release: 1
License: LGPL
Group: Development/Libraries
Source0: ftp://ftp.gnome.org/pub/gnome/sources/libsoup/1.99/%{name}-%{version}.tar.gz
URL:  ftp://ftp.gnome.org/pub/gnome/sources/libsoup/
BuildRoot: %{_tmppath}/%{name}-root
Requires: glib2 >= 2.0
BuildRequires: glib2-devel, openssl-devel, pkgconfig

%description
Libsoup is an HTTP library implementation in C. It was originally part
of a SOAP (Simple Object Access Protocol) implementation called Soup, but
the SOAP and non-SOAP parts have now been split into separate packages.
 
libsoup uses the Glib main loop and is designed to work well with GTK
applications. This enables GNOME applications to access HTTP servers
on the network in a completely asynchronous fashion, very similar to
the Gtk+ programming model (a synchronous operation mode is also
supported for those who want it).

%package devel
Summary: Header files for the Soup library
Group: Development/Libraries
Requires: %{name} = %{version}

%description devel
Libsoup is an HTTP library implementation in C. This package allows 
you to develop applications that use the libsoup library.

%prep
%setup -q

%build
if pkg-config openssl ; then
	export CFLAGS="$RPM_OPT_FLAGS `pkg-config --cflags openssl`"
	export CPPFLAGS="$RPM_OPT_FLAGS `pkg-config --cflags openssl`"
	export LDFLAGS=`pkg-config --libs-only-L openssl`
fi
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

rm -f $RPM_BUILD_ROOT/%{_libdir}/*.la

%post -p /sbin/ldconfig 

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc README COPYING ChangeLog NEWS TODO AUTHORS INSTALL 
%{_libdir}/lib*.so.*
%{_libexecdir}/libsoup-ssl-proxy

%files devel
%defattr(-, root, root)
%{_includedir}/soup-2.0
%{_libdir}/*.a
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc

%changelog
* Fri Sep 19 2003 Jeremy Katz <katzj@redhat.com> 1.99.26-1
- 1.99.26

* Tue Jul 15 2003 Jeremy Katz <katzj@redhat.com> 1.99.23-3
- rebuild to pickup ppc64

* Mon Jun  9 2003 Jeremy Katz <katzj@redhat.com> 1.99.23-2
- rebuild 
- no openssl on ppc64 yet, excludearch

* Mon Jun  9 2003 Jeremy Katz <katzj@redhat.com> 1.99.23-1
- 1.99.23

* Wed Jun 5 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Thu Jun  5 2003 Jeremy Katz <katzj@redhat.com> 1.99.22-2
- rebuild

* Sun May 25 2003 Jeremy Katz <katzj@redhat.com> 1.99.22-1
- 1.99.22

* Tue May  6 2003 Jeremy Katz <katzj@redhat.com> 1.99.20-1
- 1.99.20

* Sun May  4 2003 Jeremy Katz <katzj@redhat.com> 1.99.17-3
- include ssl proxy so that ssl urls work properly (#90165, #90166)

* Wed Apr 16 2003 Jeremy Katz <katzj@redhat.com> 1.99.17-2
- forward port patch to use a union initializer to fix build on x86_64

* Wed Apr 16 2003 Jeremy Katz <katzj@redhat.com> 1.99.17-1
- rename package to libsoup
- update to 1.99.17
- don't obsolete soup for now, it's parallel installable

* Sun Apr  6 2003 Jeremy Katz <katzj@redhat.com> 0.7.11-1
- update to 0.7.11

* Wed Apr  2 2003 Matt Wilson <msw@redhat.com> 0.7.10-5
- added soup-0.7.10-64bit.patch to fix 64 bit platforms (#86347)

* Sat Feb 01 2003 Florian La Roche <Florian.LaRoche@redhat.de>
- only runtime libs in normal rpm

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 21 2003 Jeremy Katz <katzj@redhat.com> 
- update url (#82347)

* Tue Jan  7 2003 Nalin Dahyabhai <nalin@redhat.com> 0.7.10-2
- use pkgconfig's openssl configuration information, if it exists

* Fri Dec 13 2002 Jeremy Katz <katzj@redhat.com> 0.7.10-1
- update to 0.7.10

* Thu Dec 12 2002 Jeremy Katz <katzj@redhat.com> 0.7.9-4
- fix fpic patch
- soup-devel should require soup

* Thu Dec 12 2002 Jeremy Katz <katzj@redhat.com> 0.7.9-3
- better lib64 patch
- fix building of libwsdl-build to use libtool so that it gets built 
  with -fPIC as needed

* Tue Dec 10 2002 Jeremy Katz <katzj@redhat.com> 0.7.9-2
- change popt handling in configure slightly so that it will work on 
  multilib arches

* Tue Dec 10 2002 Jeremy Katz <katzj@redhat.com> 0.7.9-1
- update to 0.7.9, pulling the tarball out of Ximian packages

* Wed Oct 23 2002 Jeremy Katz <katzj@redhat.com> 0.7.4-3
- fix to not try to include non-existent doc files and remove all 
  unwanted files from the build
- include api docs 
- don't build the apache module

* Wed Sep 25 2002 Jeremy Katz <katzj@redhat.com> 0.7.4-2
- various specfile tweaks to include in Red Hat Linux
- include all the files

* Tue Jan 23 2001 Alex Graveley <alex@ximian.com>
- Inital RPM config.
